Package Details: astah-professional 8.4.0-1

Git Clone URL: https://aur.archlinux.org/astah-professional.git (read-only, click to copy)
Package Base: astah-professional
Description: Full-Featured Software Modeling Tool for creating UML, ER Diagrams, DFD, Flowchart and more to create a clear understanding of your software design among teams.Easy-to-use UML2.x modeler
Upstream URL: http://astah.net/products/astah-professional
Keywords: UML
Licenses: custom
Conflicts: astah-uml, astah_community
Submitter: xenoterracide
Maintainer: jflake
Last Packager: jflake
Votes: 19
Popularity: 0.005153
First Submitted: 2012-09-05 05:45 (UTC)
Last Updated: 2022-02-08 20:54 (UTC)

Latest Comments

mborko commented on 2021-11-02 18:19 (UTC)

@nullptr_t is it possible to switch to jdk8-openjdk and put those two lines in /usr/bin/astah-pro, so it would also work if environment settings were linked to another Java Version?

export JAVA_HOME=/usr/lib/jvm/java-8-openjdk
export PATH=$JAVA_HOME/bin:$PATH

I've send you the Patchfile with the new version and my mentioned changes. Would you be so kind and apply them to PKGBUILD and .SRCINFO?

sergefan commented on 2021-10-18 10:15 (UTC) (edited on 2021-10-22 16:01 (UTC) by sergefan)

@marlor You can simply change the dependency to "depends=(jdk8-openjdk)" in PKGBUILD and build the package on your own machine.

marlor commented on 2021-08-11 11:22 (UTC)

can no longer be installed because the JAVA dependency cannot be met (8u292 has been upgraded to 8u302). This is a big problem. I need the software professionally.

khampf commented on 2019-08-26 15:15 (UTC)

8.1.0 has pkgver 3ac874f and MD5 129d10ed7839ee0a21beb45f3860ae91

superbia commented on 2017-11-01 11:19 (UTC) (edited on 2017-11-01 18:14 (UTC) by superbia)

Installed the latest version and it crashes. An exception has occured when launching astah*. EDIT: Removing the old jdk, and installing the latest one manually fixed the issue.

tty170 commented on 2017-09-27 03:05 (UTC)

7.2.0 is out. http://astah.net/release-notes/7.2.0

teozkr commented on 2016-05-22 15:21 (UTC)

This package breaks unzipping from Ark. Any chance https://aur.archlinux.org/cgit/aur.git/commit/astah_community.xml?h=astah-community&id=5801f5a37207f71bae180bc257dbb3674aaf13fd could be copied to this package as well?

slopjong commented on 2014-06-18 00:29 (UTC)

I wasn't reading the wiki page about AUR meta data carefully enough. I missed that mkaurball is in the pkgbuild-introspection package. Anyway, thanks for your contribution.

tty170 commented on 2014-06-17 00:26 (UTC)

You mean create .AURINFO, right? I created the file. Here is .AURINFO https://gist.github.com/tty170/d0efe07d173e73255965

slopjong commented on 2014-06-16 06:58 (UTC)

Thx tty170 for the update. I don't agree with having _pkgrel because that doesn't have any relationship to pkgrel. Here's the latest update: https://github.com/slopjong/PKGBUILDS/blob/master/aur/astah-professional/PKGBUILD @tty170, would you be so kind and would possibly also create .AUTHINFO to be added to the source package? Without that file included I can't submit the tarball but I don't have the time right now to do this. https://wiki.archlinux.org/index.php/AUR_Metadata

tty170 commented on 2014-06-16 06:07 (UTC)

i wrote PKGBUILD based on astah_community's PKGBUILD(https://gist.github.com/tty170/a2b948a3812872624617). And makepkg was sucessfully in my environment. If build package successfully, please update astah-professional's PKGBUILD.

xenoterracide commented on 2014-04-21 22:38 (UTC)

sadly the links are tied to your account, they generate a token for you (unless someone knows something I don't)

commented on 2014-04-21 22:22 (UTC)

This worked for me, but no idea if those links are permanent. http://members.change-vision.com/files/_585Mb0aib5b14yOuEqYKMKQZr4ELRPBn/astah_professional/6_8_0/astah-professional-6_8_0-d254c5.zip

commented on 2014-04-21 22:19 (UTC)

The link (http://astah.change-vision.com/files/C53604BF-6FCF-48A5-AB87-430B0096D830/astah-professional-6_8_0-d254c5.zip) 404s for me.

slopjong commented on 2014-01-22 16:53 (UTC)

Here's the updated PKGBUILD: [0]. Can somebody test it? The astah archive contains some documentation and a license file which are not yet properly installed by the PKGBUILD and that's why I don't create the source package right now. [0] https://raw2.github.com/slopjong/PKGBUILDS/master/aur/astah-professional/PKGBUILD

xenoterracide commented on 2014-01-12 22:26 (UTC)

I'm lazy so just went ahead and put it up for adoption.

slopjong commented on 2014-01-12 20:28 (UTC)

@xenoterracide, I've updated the PKGBUILD, see [0]. Could you please create the source package and submit it? makepkg uses "set -e" so you no longer need "|| return 1". And as @seku pointed it out, the mkdir command had to be moved. $pkgdir belongs to package() since build() is for building only. [0] https://raw2.github.com/slopjong/PKGBUILDS/master/aur/astah-professional/PKGBUILD

seku commented on 2013-11-25 16:24 (UTC)

Thanks for the package. I had to move mkdir from build() to package() to make it work. Also there is a new 6.7.0 version available.

xenoterracide commented on 2012-09-05 05:46 (UTC)

download the zip from astah